// Project Lab - NHTV Igad

#pragma once

#include "BehaviorTree/BTTaskNode.h"
#include "BTTaskNodeJumpFence.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UBTTaskNodeJumpFence : public UBTTaskNode
{
	GENERATED_BODY()
public: 
	UBTTaskNodeJumpFence();
	virtual EBTNodeResult::Type ExecuteTask(UBehaviorTreeComponent& OwnerComp, uint8* NodeMemory) override;
	virtual void TickTask(UBehaviorTreeComponent& OwnerComp, uint8* NodeMemory, float DeltaSeconds) override;
	virtual void InitializeFromAsset(UBehaviorTree& Asset) override;
	UPROPERTY(EditAnywhere, Category = Blackboard)
	FBlackboardKeySelector BlackboardKey;
protected:
	EBTNodeResult::Type PefromJumpFenceTask(UBehaviorTreeComponent& OwnerComp, uint8* NodeMemory);
	
};
